## org.eclipse.datatools.modelbase.dbdefinition
Interface DatabaseDefinitionPackage.Literals

Enclosing interface:
  DatabaseDefinitionPackage

public static interface DatabaseDefinitionPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static EEnum` `CHECK_OPTION` The meta object literal for the '`Check Option`' enum.
`static EClass` `COLUMN_DEFINITION` The meta object literal for the '`Column Definition`' class.
`static EAttribute` `COLUMN_DEFINITION__COMPUTED_SUPPORTED` The meta object literal for the 'Computed Supported' attribute feature.
`static EReference` `COLUMN_DEFINITION__IDENTITY_COLUMN_DATA_TYPE_DEFINITIONS` The meta object literal for the 'Identity Column Data Type Definitions' reference list feature.
`static EAttribute` `COLUMN_DEFINITION__IDENTITY_CYCLE_SUPPORTED` The meta object literal for the 'Identity Cycle Supported' attribute feature.
`static EAttribute` `COLUMN_DEFINITION__IDENTITY_INCREMENT_SUPPORTED` The meta object literal for the 'Identity Increment Supported' attribute feature.
`static EAttribute` `COLUMN_DEFINITION__IDENTITY_MAXIMUM_SUPPORTED` The meta object literal for the 'Identity Maximum Supported' attribute feature.
`static EAttribute` `COLUMN_DEFINITION__IDENTITY_MINIMUM_SUPPORTED` The meta object literal for the 'Identity Minimum Supported' attribute feature.
`static EAttribute` `COLUMN_DEFINITION__IDENTITY_START_VALUE_SUPPORTED` The meta object literal for the 'Identity Start Value Supported' attribute feature.
`static EAttribute` `COLUMN_DEFINITION__IDENTITY_SUPPORTED` The meta object literal for the 'Identity Supported' attribute feature.
`static EAttribute` `COLUMN_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Identifier Length' attribute feature.
`static EClass` `CONSTRAINT_DEFINITION` The meta object literal for the '`Constraint Definition`' class.
`static EAttribute` `CONSTRAINT_DEFINITION__CHECK_OPTION` The meta object literal for the 'Check Option' attribute list feature.
`static EAttribute` `CONSTRAINT_DEFINITION__CLUSTERED_PRIMARY_KEY_SUPPORTED` The meta object literal for the 'Clustered Primary Key Supported' attribute feature.
`static EAttribute` `CONSTRAINT_DEFINITION__CLUSTERED_UNIQUE_CONSTRAINT_SUPPORTED` The meta object literal for the 'Clustered Unique Constraint Supported' attribute feature.
`static EAttribute` `CONSTRAINT_DEFINITION__DEFERRABLE_CONSTRAINT_SUPPORTED` The meta object literal for the 'Deferrable Constraint Supported' attribute feature.
`static EAttribute` `CONSTRAINT_DEFINITION__INFORMATIONAL_CONSTRAINT_SUPPORTED` The meta object literal for the 'Informational Constraint Supported' attribute feature.
`static EAttribute` `CONSTRAINT_DEFINITION__MAXIMUM_CHECK_CONSTRAINT_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Check Constraint Identifier Length' attribute feature.
`static EAttribute` `CONSTRAINT_DEFINITION__MAXIMUM_CHECK_EXPRESSION_LENGTH` The meta object literal for the 'Maximum Check Expression Length' attribute feature.
`static EAttribute` `CONSTRAINT_DEFINITION__MAXIMUM_FOREIGN_KEY_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Foreign Key Identifier Length' attribute feature.
`static EAttribute` `CONSTRAINT_DEFINITION__MAXIMUM_PRIMARY_KEY_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Primary Key Identifier Length' attribute feature.
`static EAttribute` `CONSTRAINT_DEFINITION__PARENT_DELETE_DRI_RULE_TYPE` The meta object literal for the 'Parent Delete DRI Rule Type' attribute list feature.
`static EAttribute` `CONSTRAINT_DEFINITION__PARENT_UPDATE_DRI_RULE_TYPE` The meta object literal for the 'Parent Update DRI Rule Type' attribute list feature.
`static EAttribute` `CONSTRAINT_DEFINITION__PRIMARY_KEY_NULLABLE` The meta object literal for the 'Primary Key Nullable' attribute feature.
`static EAttribute` `CONSTRAINT_DEFINITION__UNIQUE_KEY_NULLABLE` The meta object literal for the 'Unique Key Nullable' attribute feature.
`static EClass` `DATABASE_VENDOR_DEFINITION` The meta object literal for the '`Database Vendor Definition`' class.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__ALIAS_SUPPORTED` The meta object literal for the 'Alias Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__AUTHORIZATION_IDENTIFIER_SUPPORTED` The meta object literal for the 'Authorization Identifier Supported' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__COLUMN_DEFINITION` The meta object literal for the 'Column Definition' containment reference feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__CONSTRAINT_DEFINITION` The meta object literal for the 'Constraint Definition' containment reference feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__CONSTRAINTS_SUPPORTED` The meta object literal for the 'Constraints Supported' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__DEBUGGER_DEFINITION` The meta object literal for the 'Debugger Definition' containment reference feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__DOMAIN_SUPPORTED` The meta object literal for the 'Domain Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__EVENT_SUPPORTED` The meta object literal for the 'Event Supported' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__EXTENDED_DEFINITIONS` The meta object literal for the 'Extended Definitions' containment reference list feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__GROUP_SUPPORTED` The meta object literal for the 'Group Supported' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__INDEX_DEFINITION` The meta object literal for the 'Index Definition' containment reference feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__JOIN_SUPPORTED` The meta object literal for the 'Join Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__MAXIMUM_COMMENT_LENGTH` The meta object literal for the 'Maximum Comment Length' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Identifier Length' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__MQT_INDEX_SUPPORTED` The meta object literal for the 'MQT Index Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__MQT_SUPPORTED` The meta object literal for the 'MQT Supported' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__NICKNAME_DEFINITION` The meta object literal for the 'Nickname Definition' containment reference feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__NICKNAME_SUPPORTED` The meta object literal for the 'Nickname Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__PACKAGE_SUPPORTED` The meta object literal for the 'Package Supported' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS` The meta object literal for the 'Predefined Data Type Definitions' containment reference list feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__PRIVILEGED_ELEMENT_DEFINITIONS` The meta object literal for the 'Privileged Element Definitions' containment reference list feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__QUERY_DEFINITION` The meta object literal for the 'Query Definition' containment reference feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__QUOTED_DDL_SUPPORTED` The meta object literal for the 'Quoted DDL Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__QUOTED_DML_SUPPORTED` The meta object literal for the 'Quoted DML Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__ROLE_AUTHORIZATION_SUPPORTED` The meta object literal for the 'Role Authorization Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__ROLE_SUPPORTED` The meta object literal for the 'Role Supported' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__SCHEMA_DEFINITION` The meta object literal for the 'Schema Definition' containment reference feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__SCHEMA_SUPPORTED` The meta object literal for the 'Schema Supported' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__SEQUENCE_DEFINITION` The meta object literal for the 'Sequence Definition' containment reference feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__SEQUENCE_SUPPORTED` The meta object literal for the 'Sequence Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__SNAPSHOT_VIEW_SUPPORTED` The meta object literal for the 'Snapshot View Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__SQL_STATEMENT_SUPPORTED` The meta object literal for the 'SQL Statement Supported' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__SQL_SYNTAX_DEFINITION` The meta object literal for the 'SQL Syntax Definition' containment reference feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__SQL_UDF_SUPPORTED` The meta object literal for the 'Sql UDF Supported' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_DEFINITION` The meta object literal for the 'Stored Procedure Definition' containment reference feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_SUPPORTED` The meta object literal for the 'Stored Procedure Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__SYNONYM_SUPPORTED` The meta object literal for the 'Synonym Supported' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__TABLE_DEFINITION` The meta object literal for the 'Table Definition' containment reference feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__TABLE_SPACE_DEFINITION` The meta object literal for the 'Table Space Definition' containment reference feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__TABLESPACES_SUPPORTED` The meta object literal for the 'Tablespaces Supported' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__TRIGGER_DEFINITION` The meta object literal for the 'Trigger Definition' containment reference feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__TRIGGER_SUPPORTED` The meta object literal for the 'Trigger Supported' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__UDT_DEFINITION` The meta object literal for the 'Udt Definition' containment reference feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__USER_DEFINED_TYPE_SUPPORTED` The meta object literal for the 'User Defined Type Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__USER_SUPPORTED` The meta object literal for the 'User Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__VENDOR` The meta object literal for the 'Vendor' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__VERSION` The meta object literal for the 'Version' attribute feature.
`static EReference` `DATABASE_VENDOR_DEFINITION__VIEW_DEFINITION` The meta object literal for the 'View Definition' containment reference feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__VIEW_TRIGGER_SUPPORTED` The meta object literal for the 'View Trigger Supported' attribute feature.
`static EAttribute` `DATABASE_VENDOR_DEFINITION__XML_SUPPORTED` The meta object literal for the 'Xml Supported' attribute feature.
`static EClass` `DEBUGGER_DEFINITION` The meta object literal for the '`Debugger Definition`' class.
`static EAttribute` `DEBUGGER_DEFINITION__CONDITION_SUPPORTED` The meta object literal for the 'Condition Supported' attribute feature.
`static EClass` `EXTENDED_DEFINITION` The meta object literal for the '`Extended Definition`' class.
`static EAttribute` `EXTENDED_DEFINITION__NAME` The meta object literal for the 'Name' attribute feature.
`static EAttribute` `EXTENDED_DEFINITION__VALUE` The meta object literal for the 'Value' attribute feature.
`static EClass` `FIELD_QUALIFIER_DEFINITION` The meta object literal for the '`Field Qualifier Definition`' class.
`static EAttribute` `FIELD_QUALIFIER_DEFINITION__DEFAULT_PRECISION` The meta object literal for the 'Default Precision' attribute feature.
`static EAttribute` `FIELD_QUALIFIER_DEFINITION__DEFAULT_SCALE` The meta object literal for the 'Default Scale' attribute feature.
`static EAttribute` `FIELD_QUALIFIER_DEFINITION__MAXIMUM_PRECISION` The meta object literal for the 'Maximum Precision' attribute feature.
`static EAttribute` `FIELD_QUALIFIER_DEFINITION__MAXIMUM_SCALE` The meta object literal for the 'Maximum Scale' attribute feature.
`static EAttribute` `FIELD_QUALIFIER_DEFINITION__NAME` The meta object literal for the 'Name' attribute feature.
`static EAttribute` `FIELD_QUALIFIER_DEFINITION__PRECISION_SUPPORTED` The meta object literal for the 'Precision Supported' attribute feature.
`static EAttribute` `FIELD_QUALIFIER_DEFINITION__SCALE_SUPPORTED` The meta object literal for the 'Scale Supported' attribute feature.
`static EReference` `FIELD_QUALIFIER_DEFINITION__VALID_TRAILING_FIELD_QUALIFIER_DEFINITIONS` The meta object literal for the 'Valid Trailing Field Qualifier Definitions' reference list feature.
`static EClass` `INDEX_DEFINITION` The meta object literal for the '`Index Definition`' class.
`static EAttribute` `INDEX_DEFINITION__CLUSTER_CHANGEABLE` The meta object literal for the 'Cluster Changeable' attribute feature.
`static EAttribute` `INDEX_DEFINITION__CLUSTERING_SUPPORTED` The meta object literal for the 'Clustering Supported' attribute feature.
`static EAttribute` `INDEX_DEFINITION__FILL_FACTOR_SUPPORTED` The meta object literal for the 'Fill Factor Supported' attribute feature.
`static EAttribute` `INDEX_DEFINITION__INCLUDED_COLUMNS_SUPPORTED` The meta object literal for the 'Included Columns Supported' attribute feature.
`static EAttribute` `INDEX_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Identifier Length' attribute feature.
`static EAttribute` `INDEX_DEFINITION__PERCENT_FREE_CHANGEABLE` The meta object literal for the 'Percent Free Changeable' attribute feature.
`static EAttribute` `INDEX_DEFINITION__PERCENT_FREE_TERMINOLOGY` The meta object literal for the 'Percent Free Terminology' attribute feature.
`static EEnum` `LANGUAGE_TYPE` The meta object literal for the '`Language Type`' enum.
`static EEnum` `LENGTH_UNIT` The meta object literal for the '`Length Unit`' enum.
`static EClass` `NICKNAME_DEFINITION` The meta object literal for the '`Nickname Definition`' class.
`static EAttribute` `NICKNAME_DEFINITION__CONSTRAINT_SUPPORTED` The meta object literal for the 'Constraint Supported' attribute feature.
`static EAttribute` `NICKNAME_DEFINITION__INDEX_SUPPORTED` The meta object literal for the 'Index Supported' attribute feature.
`static EAttribute` `NICKNAME_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Identifier Length' attribute feature.
`static EEnum` `PARAMETER_STYLE` The meta object literal for the '`Parameter Style`' enum.
`static EEnum` `PARENT_DELETE_DRI_RULE_TYPE` The meta object literal for the '`Parent Delete DRI Rule Type`' enum.
`static EEnum` `PARENT_UPDATE_DRI_RULE_TYPE` The meta object literal for the '`Parent Update DRI Rule Type`' enum.
`static EEnum` `PERCENT_FREE_TERMINOLOGY` The meta object literal for the '`Percent Free Terminology`' enum.
`static EClass` `PREDEFINED_DATA_TYPE_DEFINITION` The meta object literal for the '`Predefined Data Type Definition`' class.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__BIT_DATA_SUPPORTED` The meta object literal for the 'Bit Data Supported' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET` The meta object literal for the 'Character Set' attribute list feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET_SUFFIX` The meta object literal for the 'Character Set Suffix' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__CLUSTERING_SUPPORTED` The meta object literal for the 'Clustering Supported' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__CUTOFF_PRECISION` The meta object literal for the 'Cutoff Precision' attribute feature.
`static EReference` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LEADING_FIELD_QUALIFIER_DEFINITION` The meta object literal for the 'Default Leading Field Qualifier Definition' reference feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LENGTH` The meta object literal for the 'Default Length' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_PRECISION` The meta object literal for the 'Default Precision' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SCALE` The meta object literal for the 'Default Scale' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SUPPORTED` The meta object literal for the 'Default Supported' attribute feature.
`static EReference` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_TRAILING_FIELD_QUALIFIER_DEFINITION` The meta object literal for the 'Default Trailing Field Qualifier Definition' reference feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_VALUE_TYPES` The meta object literal for the 'Default Value Types' attribute list feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME` The meta object literal for the 'Display Name' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME_SUPPORTED` The meta object literal for the 'Display Name Supported' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME` The meta object literal for the 'Encoding Scheme' attribute list feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME_SUFFIX` The meta object literal for the 'Encoding Scheme Suffix' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__FIELD_QUALIFIER_SEPARATOR` The meta object literal for the 'Field Qualifier Separator' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__FILL_FACTOR_SUPPORTED` The meta object literal for the 'Fill Factor Supported' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__GROUPING_SUPPORTED` The meta object literal for the 'Grouping Supported' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__IDENTITY_SUPPORTED` The meta object literal for the 'Identity Supported' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__JAVA_CLASS_NAME` The meta object literal for the 'Java Class Name' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__JDBC_ENUM_TYPE` The meta object literal for the 'Jdbc Enum Type' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__KEY_CONSTRAINT_SUPPORTED` The meta object literal for the 'Key Constraint Supported' attribute feature.
`static EReference` `PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_DEFINITION` The meta object literal for the 'Leading Field Qualifier Definition' containment reference list feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_SUPPORTED` The meta object literal for the 'Leading Field Qualifier Supported' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_SUPPORTED` The meta object literal for the 'Length Supported' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_UNIT` The meta object literal for the 'Length Unit' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_LENGTH` The meta object literal for the 'Maximum Length' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_PRECISION` The meta object literal for the 'Maximum Precision' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_SCALE` The meta object literal for the 'Maximum Scale' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_VALUE` The meta object literal for the 'Maximum Value' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_SCALE` The meta object literal for the 'Minimum Scale' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_VALUE` The meta object literal for the 'Minimum Value' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__MULTIPLE_COLUMNS_SUPPORTED` The meta object literal for the 'Multiple Columns Supported' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__NAME` The meta object literal for the 'Name' attribute list feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__NULLABLE_SUPPORTED` The meta object literal for the 'Nullable Supported' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__ORDERING_SUPPORTED` The meta object literal for the 'Ordering Supported' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__PRECISION_SUPPORTED` The meta object literal for the 'Precision Supported' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__PRIMITIVE_TYPE` The meta object literal for the 'Primitive Type' attribute feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__SCALE_SUPPORTED` The meta object literal for the 'Scale Supported' attribute feature.
`static EReference` `PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_DEFINITION` The meta object literal for the 'Trailing Field Qualifier Definition' containment reference list feature.
`static EAttribute` `PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_SUPPORTED` The meta object literal for the 'Trailing Field Qualifier Supported' attribute feature.
`static EClass` `PRIVILEGE_DEFINITION` The meta object literal for the '`Privilege Definition`' class.
`static EReference` `PRIVILEGE_DEFINITION__ACTION_ELEMENT_DEFINITIONS` The meta object literal for the 'Action Element Definitions' reference list feature.
`static EAttribute` `PRIVILEGE_DEFINITION__NAME` The meta object literal for the 'Name' attribute feature.
`static EClass` `PRIVILEGED_ELEMENT_DEFINITION` The meta object literal for the '`Privileged Element Definition`' class.
`static EAttribute` `PRIVILEGED_ELEMENT_DEFINITION__NAME` The meta object literal for the 'Name' attribute feature.
`static EReference` `PRIVILEGED_ELEMENT_DEFINITION__PRIVILEGE_DEFINITIONS` The meta object literal for the 'Privilege Definitions' containment reference list feature.
`static EEnum` `PROCEDURE_TYPE` The meta object literal for the '`Procedure Type`' enum.
`static EClass` `QUERY_DEFINITION` The meta object literal for the '`Query Definition`' class.
`static EAttribute` `QUERY_DEFINITION__CAST_EXPRESSION_SUPPORTED` The meta object literal for the 'Cast Expression Supported' attribute feature.
`static EAttribute` `QUERY_DEFINITION__DEFAULT_KEYWORD_FOR_INSERT_VALUE_SUPPORTED` The meta object literal for the 'Default Keyword For Insert Value Supported' attribute feature.
`static EAttribute` `QUERY_DEFINITION__EXTENDED_GROUPING_SUPPORTED` The meta object literal for the 'Extended Grouping Supported' attribute feature.
`static EAttribute` `QUERY_DEFINITION__HOST_VARIABLE_MARKER` The meta object literal for the 'Host Variable Marker' attribute feature.
`static EAttribute` `QUERY_DEFINITION__HOST_VARIABLE_MARKER_SUPPORTED` The meta object literal for the 'Host Variable Marker Supported' attribute feature.
`static EAttribute` `QUERY_DEFINITION__IDENTIFIER_QUOTE_STRING` The meta object literal for the 'Identifier Quote String' attribute feature.
`static EAttribute` `QUERY_DEFINITION__TABLE_ALIAS_IN_DELETE_SUPPORTED` The meta object literal for the 'Table Alias In Delete Supported' attribute feature.
`static EClass` `SCHEMA_DEFINITION` The meta object literal for the '`Schema Definition`' class.
`static EAttribute` `SCHEMA_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Identifier Length' attribute feature.
`static EClass` `SEQUENCE_DEFINITION` The meta object literal for the '`Sequence Definition`' class.
`static EAttribute` `SEQUENCE_DEFINITION__CACHE_DEFAULT_VALUE` The meta object literal for the 'Cache Default Value' attribute feature.
`static EAttribute` `SEQUENCE_DEFINITION__CACHE_SUPPORTED` The meta object literal for the 'Cache Supported' attribute feature.
`static EReference` `SEQUENCE_DEFINITION__DEFAULT_DATA_TYPE_DEFINITION` The meta object literal for the 'Default Data Type Definition' reference feature.
`static EAttribute` `SEQUENCE_DEFINITION__NO_CACHE_STRING` The meta object literal for the 'No Cache String' attribute feature.
`static EAttribute` `SEQUENCE_DEFINITION__NO_MAXIMUM_VALUE_STRING` The meta object literal for the 'No Maximum Value String' attribute feature.
`static EAttribute` `SEQUENCE_DEFINITION__NO_MINIMUM_VALUE_STRING` The meta object literal for the 'No Minimum Value String' attribute feature.
`static EAttribute` `SEQUENCE_DEFINITION__ORDER_SUPPORTED` The meta object literal for the 'Order Supported' attribute feature.
`static EReference` `SEQUENCE_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS` The meta object literal for the 'Predefined Data Type Definitions' reference list feature.
`static EAttribute` `SEQUENCE_DEFINITION__TYPE_ENUMERATION_SUPPORTED` The meta object literal for the 'Type Enumeration Supported' attribute feature.
`static EClass` `SQL_SYNTAX_DEFINITION` The meta object literal for the '`SQL Syntax Definition`' class.
`static EAttribute` `SQL_SYNTAX_DEFINITION__KEYWORDS` The meta object literal for the 'Keywords' attribute list feature.
`static EAttribute` `SQL_SYNTAX_DEFINITION__OPERATORS` The meta object literal for the 'Operators' attribute list feature.
`static EAttribute` `SQL_SYNTAX_DEFINITION__TERMINATION_CHARACTER` The meta object literal for the 'Termination Character' attribute feature.
`static EClass` `STORED_PROCEDURE_DEFINITION` The meta object literal for the '`Stored Procedure Definition`' class.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__DETERMININSTIC_SUPPORTED` The meta object literal for the 'Determininstic Supported' attribute feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__FUNCTION_LANGUAGE_TYPE` The meta object literal for the 'Function Language Type' attribute list feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__LANGUAGE_TYPE` The meta object literal for the 'Language Type' attribute list feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH` The meta object literal for the 'Maximum Action Body Length' attribute feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Identifier Length' attribute feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__NULL_INPUT_ACTION_SUPPORTED` The meta object literal for the 'Null Input Action Supported' attribute feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__PACKAGE_GENERATION_SUPPORTED` The meta object literal for the 'Package Generation Supported' attribute feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__PARAMETER_DECLARATION_CONSTRAINT_SUPPORTED` The meta object literal for the 'Parameter Declaration Constraint Supported' attribute feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__PARAMETER_INIT_VALUE_SUPPORTED` The meta object literal for the 'Parameter Init Value Supported' attribute feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE` The meta object literal for the 'Parameter Style' attribute list feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE_SUPPORTED` The meta object literal for the 'Parameter Style Supported' attribute feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__PROCEDURE_TYPE` The meta object literal for the 'Procedure Type' attribute list feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__RETURN_TYPE_SUPPORTED` The meta object literal for the 'Return Type Supported' attribute feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__RETURNED_NULL_SUPPORTED` The meta object literal for the 'Returned Null Supported' attribute feature.
`static EAttribute` `STORED_PROCEDURE_DEFINITION__RETURNED_TYPE_DECLARATION_CONSTRAINT_SUPPORTED` The meta object literal for the 'Returned Type Declaration Constraint Supported' attribute feature.
`static EClass` `TABLE_DEFINITION` The meta object literal for the '`Table Definition`' class.
`static EAttribute` `TABLE_DEFINITION__AUDIT_SUPPORTED` The meta object literal for the 'Audit Supported' attribute feature.
`static EAttribute` `TABLE_DEFINITION__DATA_CAPTURE_SUPPORTED` The meta object literal for the 'Data Capture Supported' attribute feature.
`static EAttribute` `TABLE_DEFINITION__EDIT_PROC_SUPPORTED` The meta object literal for the 'Edit Proc Supported' attribute feature.
`static EAttribute` `TABLE_DEFINITION__ENCODING_SUPPORTED` The meta object literal for the 'Encoding Supported' attribute feature.
`static EAttribute` `TABLE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Identifier Length' attribute feature.
`static EAttribute` `TABLE_DEFINITION__VALID_PROC_SUPPORTED` The meta object literal for the 'Valid Proc Supported' attribute feature.
`static EClass` `TABLE_SPACE_DEFINITION` The meta object literal for the '`Table Space Definition`' class.
`static EAttribute` `TABLE_SPACE_DEFINITION__BUFFER_POOL_SUPPORTED` The meta object literal for the 'Buffer Pool Supported' attribute feature.
`static EAttribute` `TABLE_SPACE_DEFINITION__CONTAINER_EXTENT_SIZE_SUPPORTED` The meta object literal for the 'Container Extent Size Supported' attribute feature.
`static EAttribute` `TABLE_SPACE_DEFINITION__CONTAINER_INITIAL_SIZE_SUPPORTED` The meta object literal for the 'Container Initial Size Supported' attribute feature.
`static EAttribute` `TABLE_SPACE_DEFINITION__CONTAINER_MAXIMUM_SIZE_SUPPORTED` The meta object literal for the 'Container Maximum Size Supported' attribute feature.
`static EAttribute` `TABLE_SPACE_DEFINITION__DEFAULT_SUPPORTED` The meta object literal for the 'Default Supported' attribute feature.
`static EAttribute` `TABLE_SPACE_DEFINITION__EXTENT_SIZE_SUPPORTED` The meta object literal for the 'Extent Size Supported' attribute feature.
`static EAttribute` `TABLE_SPACE_DEFINITION__MANAGED_BY_SUPPORTED` The meta object literal for the 'Managed By Supported' attribute feature.
`static EAttribute` `TABLE_SPACE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Identifier Length' attribute feature.
`static EAttribute` `TABLE_SPACE_DEFINITION__PAGE_SIZE_SUPPORTED` The meta object literal for the 'Page Size Supported' attribute feature.
`static EAttribute` `TABLE_SPACE_DEFINITION__PREFETCH_SIZE_SUPPORTED` The meta object literal for the 'Prefetch Size Supported' attribute feature.
`static EAttribute` `TABLE_SPACE_DEFINITION__TABLE_SPACE_TYPE` The meta object literal for the 'Table Space Type' attribute list feature.
`static EAttribute` `TABLE_SPACE_DEFINITION__TYPE_SUPPORTED` The meta object literal for the 'Type Supported' attribute feature.
`static EEnum` `TABLE_SPACE_TYPE` The meta object literal for the '`Table Space Type`' enum.
`static EClass` `TRIGGER_DEFINITION` The meta object literal for the '`Trigger Definition`' class.
`static EAttribute` `TRIGGER_DEFINITION__GRANULARITY_SUPPORTED` The meta object literal for the 'Granularity Supported' attribute feature.
`static EAttribute` `TRIGGER_DEFINITION__INSTEAD_OF_TRIGGER_SUPPORTED` The meta object literal for the 'Instead Of Trigger Supported' attribute feature.
`static EAttribute` `TRIGGER_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH` The meta object literal for the 'Maximum Action Body Length' attribute feature.
`static EAttribute` `TRIGGER_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Identifier Length' attribute feature.
`static EAttribute` `TRIGGER_DEFINITION__MAXIMUM_REFERENCE_PART_LENGTH` The meta object literal for the 'Maximum Reference Part Length' attribute feature.
`static EAttribute` `TRIGGER_DEFINITION__PER_COLUMN_UPDATE_TRIGGER_SUPPORTED` The meta object literal for the 'Per Column Update Trigger Supported' attribute feature.
`static EAttribute` `TRIGGER_DEFINITION__REFERENCES_CLAUSE_SUPPORTED` The meta object literal for the 'References Clause Supported' attribute feature.
`static EAttribute` `TRIGGER_DEFINITION__ROW_TRIGGER_REFERENCE_SUPPORTED` The meta object literal for the 'Row Trigger Reference Supported' attribute feature.
`static EAttribute` `TRIGGER_DEFINITION__TABLE_TRIGGER_REFERENCE_SUPPORTED` The meta object literal for the 'Table Trigger Reference Supported' attribute feature.
`static EAttribute` `TRIGGER_DEFINITION__TYPE_SUPPORTED` The meta object literal for the 'Type Supported' attribute feature.
`static EAttribute` `TRIGGER_DEFINITION__WHEN_CLAUSE_SUPPORTED` The meta object literal for the 'When Clause Supported' attribute feature.
`static EClass` `USER_DEFINED_TYPE_DEFINITION` The meta object literal for the '`User Defined Type Definition`' class.
`static EAttribute` `USER_DEFINED_TYPE_DEFINITION__DEFAULT_VALUE_SUPPORTED` The meta object literal for the 'Default Value Supported' attribute feature.
`static EAttribute` `USER_DEFINED_TYPE_DEFINITION__DISTINCT_TYPE_SUPPORTED` The meta object literal for the 'Distinct Type Supported' attribute feature.
`static EAttribute` `USER_DEFINED_TYPE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Identifier Length' attribute feature.
`static EAttribute` `USER_DEFINED_TYPE_DEFINITION__STRUCTURED_TYPE_SUPPORTED` The meta object literal for the 'Structured Type Supported' attribute feature.
`static EClass` `VIEW_DEFINITION` The meta object literal for the '`View Definition`' class.
`static EAttribute` `VIEW_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH` The meta object literal for the 'Maximum Identifier Length' attribute feature.

Field Detail

### DATABASE_VENDOR_DEFINITION

    public static final EClass DATABASE_VENDOR_DEFINITION

  The meta object literal for the '`Database Vendor Definition`' class.

  See Also:
    `DatabaseVendorDefinitionImpl`, `DatabaseDefinitionPackageImpl.getDatabaseVendorDefinition()`

### DATABASE_VENDOR_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS

    public static final EReference DATABASE_VENDOR_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS

  The meta object literal for the 'Predefined Data Type Definitions' containment reference list feature.

### DATABASE_VENDOR_DEFINITION__TABLE_SPACE_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__TABLE_SPACE_DEFINITION

  The meta object literal for the 'Table Space Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_DEFINITION

  The meta object literal for the 'Stored Procedure Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__TRIGGER_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__TRIGGER_DEFINITION

  The meta object literal for the 'Trigger Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__COLUMN_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__COLUMN_DEFINITION

  The meta object literal for the 'Column Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__CONSTRAINT_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__CONSTRAINT_DEFINITION

  The meta object literal for the 'Constraint Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__EXTENDED_DEFINITIONS

    public static final EReference DATABASE_VENDOR_DEFINITION__EXTENDED_DEFINITIONS

  The meta object literal for the 'Extended Definitions' containment reference list feature.

### DATABASE_VENDOR_DEFINITION__INDEX_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__INDEX_DEFINITION

  The meta object literal for the 'Index Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__TABLE_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__TABLE_DEFINITION

  The meta object literal for the 'Table Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__SEQUENCE_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__SEQUENCE_DEFINITION

  The meta object literal for the 'Sequence Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__UDT_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__UDT_DEFINITION

  The meta object literal for the 'Udt Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__QUERY_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__QUERY_DEFINITION

  The meta object literal for the 'Query Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__SQL_SYNTAX_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__SQL_SYNTAX_DEFINITION

  The meta object literal for the 'SQL Syntax Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__NICKNAME_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__NICKNAME_DEFINITION

  The meta object literal for the 'Nickname Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__SCHEMA_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__SCHEMA_DEFINITION

  The meta object literal for the 'Schema Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__VIEW_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__VIEW_DEFINITION

  The meta object literal for the 'View Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__DEBUGGER_DEFINITION

    public static final EReference DATABASE_VENDOR_DEFINITION__DEBUGGER_DEFINITION

  The meta object literal for the 'Debugger Definition' containment reference feature.

### DATABASE_VENDOR_DEFINITION__PRIVILEGED_ELEMENT_DEFINITIONS

    public static final EReference DATABASE_VENDOR_DEFINITION__PRIVILEGED_ELEMENT_DEFINITIONS

  The meta object literal for the 'Privileged Element Definitions' containment reference list feature.

### DATABASE_VENDOR_DEFINITION__VENDOR

    public static final EAttribute DATABASE_VENDOR_DEFINITION__VENDOR

  The meta object literal for the 'Vendor' attribute feature.

### DATABASE_VENDOR_DEFINITION__VERSION

    public static final EAttribute DATABASE_VENDOR_DEFINITION__VERSION

  The meta object literal for the 'Version' attribute feature.

### DATABASE_VENDOR_DEFINITION__CONSTRAINTS_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__CONSTRAINTS_SUPPORTED

  The meta object literal for the 'Constraints Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    public static final EAttribute DATABASE_VENDOR_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Identifier Length' attribute feature.

### DATABASE_VENDOR_DEFINITION__TRIGGER_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__TRIGGER_SUPPORTED

  The meta object literal for the 'Trigger Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__SNAPSHOT_VIEW_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__SNAPSHOT_VIEW_SUPPORTED

  The meta object literal for the 'Snapshot View Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__JOIN_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__JOIN_SUPPORTED

  The meta object literal for the 'Join Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__VIEW_TRIGGER_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__VIEW_TRIGGER_SUPPORTED

  The meta object literal for the 'View Trigger Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__TABLESPACES_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__TABLESPACES_SUPPORTED

  The meta object literal for the 'Tablespaces Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__MAXIMUM_COMMENT_LENGTH

    public static final EAttribute DATABASE_VENDOR_DEFINITION__MAXIMUM_COMMENT_LENGTH

  The meta object literal for the 'Maximum Comment Length' attribute feature.

### DATABASE_VENDOR_DEFINITION__SEQUENCE_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__SEQUENCE_SUPPORTED

  The meta object literal for the 'Sequence Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__MQT_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__MQT_SUPPORTED

  The meta object literal for the 'MQT Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__SCHEMA_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__SCHEMA_SUPPORTED

  The meta object literal for the 'Schema Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__ALIAS_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__ALIAS_SUPPORTED

  The meta object literal for the 'Alias Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__SYNONYM_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__SYNONYM_SUPPORTED

  The meta object literal for the 'Synonym Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__USER_DEFINED_TYPE_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__USER_DEFINED_TYPE_SUPPORTED

  The meta object literal for the 'User Defined Type Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__DOMAIN_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__DOMAIN_SUPPORTED

  The meta object literal for the 'Domain Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__SQL_STATEMENT_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__SQL_STATEMENT_SUPPORTED

  The meta object literal for the 'SQL Statement Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__NICKNAME_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__NICKNAME_SUPPORTED

  The meta object literal for the 'Nickname Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__QUOTED_DML_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__QUOTED_DML_SUPPORTED

  The meta object literal for the 'Quoted DML Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__QUOTED_DDL_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__QUOTED_DDL_SUPPORTED

  The meta object literal for the 'Quoted DDL Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__XML_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__XML_SUPPORTED

  The meta object literal for the 'Xml Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__MQT_INDEX_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__MQT_INDEX_SUPPORTED

  The meta object literal for the 'MQT Index Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__EVENT_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__EVENT_SUPPORTED

  The meta object literal for the 'Event Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__SQL_UDF_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__SQL_UDF_SUPPORTED

  The meta object literal for the 'Sql UDF Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__STORED_PROCEDURE_SUPPORTED

  The meta object literal for the 'Stored Procedure Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__PACKAGE_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__PACKAGE_SUPPORTED

  The meta object literal for the 'Package Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__AUTHORIZATION_IDENTIFIER_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__AUTHORIZATION_IDENTIFIER_SUPPORTED

  The meta object literal for the 'Authorization Identifier Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__ROLE_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__ROLE_SUPPORTED

  The meta object literal for the 'Role Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__GROUP_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__GROUP_SUPPORTED

  The meta object literal for the 'Group Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__USER_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__USER_SUPPORTED

  The meta object literal for the 'User Supported' attribute feature.

### DATABASE_VENDOR_DEFINITION__ROLE_AUTHORIZATION_SUPPORTED

    public static final EAttribute DATABASE_VENDOR_DEFINITION__ROLE_AUTHORIZATION_SUPPORTED

  The meta object literal for the 'Role Authorization Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION

    public static final EClass PREDEFINED_DATA_TYPE_DEFINITION

  The meta object literal for the '`Predefined Data Type Definition`' class.

  See Also:
    `PredefinedDataTypeDefinitionImpl`, `DatabaseDefinitionPackageImpl.getPredefinedDataTypeDefinition()`

### PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_DEFINITION

    public static final EReference PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_DEFINITION

  The meta object literal for the 'Leading Field Qualifier Definition' containment reference list feature.

### PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_DEFINITION

    public static final EReference PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_DEFINITION

  The meta object literal for the 'Trailing Field Qualifier Definition' containment reference list feature.

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_TRAILING_FIELD_QUALIFIER_DEFINITION

    public static final EReference PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_TRAILING_FIELD_QUALIFIER_DEFINITION

  The meta object literal for the 'Default Trailing Field Qualifier Definition' reference feature.

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LEADING_FIELD_QUALIFIER_DEFINITION

    public static final EReference PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LEADING_FIELD_QUALIFIER_DEFINITION

  The meta object literal for the 'Default Leading Field Qualifier Definition' reference feature.

### PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_SUPPORTED

  The meta object literal for the 'Length Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__SCALE_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__SCALE_SUPPORTED

  The meta object literal for the 'Scale Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__PRECISION_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__PRECISION_SUPPORTED

  The meta object literal for the 'Precision Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__KEY_CONSTRAINT_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__KEY_CONSTRAINT_SUPPORTED

  The meta object literal for the 'Key Constraint Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__IDENTITY_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__IDENTITY_SUPPORTED

  The meta object literal for the 'Identity Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__MULTIPLE_COLUMNS_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__MULTIPLE_COLUMNS_SUPPORTED

  The meta object literal for the 'Multiple Columns Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__NULLABLE_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__NULLABLE_SUPPORTED

  The meta object literal for the 'Nullable Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SUPPORTED

  The meta object literal for the 'Default Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__CLUSTERING_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__CLUSTERING_SUPPORTED

  The meta object literal for the 'Clustering Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__FILL_FACTOR_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__FILL_FACTOR_SUPPORTED

  The meta object literal for the 'Fill Factor Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__BIT_DATA_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__BIT_DATA_SUPPORTED

  The meta object literal for the 'Bit Data Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_VALUE

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_VALUE

  The meta object literal for the 'Maximum Value' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_VALUE

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_VALUE

  The meta object literal for the 'Minimum Value' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_LENGTH

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_LENGTH

  The meta object literal for the 'Maximum Length' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_PRECISION

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_PRECISION

  The meta object literal for the 'Maximum Precision' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_SCALE

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__MAXIMUM_SCALE

  The meta object literal for the 'Maximum Scale' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_SCALE

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__MINIMUM_SCALE

  The meta object literal for the 'Minimum Scale' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_VALUE_TYPES

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_VALUE_TYPES

  The meta object literal for the 'Default Value Types' attribute list feature.

### PREDEFINED_DATA_TYPE_DEFINITION__PRIMITIVE_TYPE

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__PRIMITIVE_TYPE

  The meta object literal for the 'Primitive Type' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__NAME

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__NAME

  The meta object literal for the 'Name' attribute list feature.

### PREDEFINED_DATA_TYPE_DEFINITION__JDBC_ENUM_TYPE

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__JDBC_ENUM_TYPE

  The meta object literal for the 'Jdbc Enum Type' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET

  The meta object literal for the 'Character Set' attribute list feature.

### PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME

  The meta object literal for the 'Encoding Scheme' attribute list feature.

### PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET_SUFFIX

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__CHARACTER_SET_SUFFIX

  The meta object literal for the 'Character Set Suffix' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME_SUFFIX

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__ENCODING_SCHEME_SUFFIX

  The meta object literal for the 'Encoding Scheme Suffix' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__JAVA_CLASS_NAME

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__JAVA_CLASS_NAME

  The meta object literal for the 'Java Class Name' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LENGTH

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_LENGTH

  The meta object literal for the 'Default Length' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_PRECISION

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_PRECISION

  The meta object literal for the 'Default Precision' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SCALE

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__DEFAULT_SCALE

  The meta object literal for the 'Default Scale' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__CUTOFF_PRECISION

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__CUTOFF_PRECISION

  The meta object literal for the 'Cutoff Precision' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_UNIT

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__LENGTH_UNIT

  The meta object literal for the 'Length Unit' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__ORDERING_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__ORDERING_SUPPORTED

  The meta object literal for the 'Ordering Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__GROUPING_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__GROUPING_SUPPORTED

  The meta object literal for the 'Grouping Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME

  The meta object literal for the 'Display Name' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__DISPLAY_NAME_SUPPORTED

  The meta object literal for the 'Display Name Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__LEADING_FIELD_QUALIFIER_SUPPORTED

  The meta object literal for the 'Leading Field Qualifier Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_SUPPORTED

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__TRAILING_FIELD_QUALIFIER_SUPPORTED

  The meta object literal for the 'Trailing Field Qualifier Supported' attribute feature.

### PREDEFINED_DATA_TYPE_DEFINITION__FIELD_QUALIFIER_SEPARATOR

    public static final EAttribute PREDEFINED_DATA_TYPE_DEFINITION__FIELD_QUALIFIER_SEPARATOR

  The meta object literal for the 'Field Qualifier Separator' attribute feature.

### TABLE_SPACE_DEFINITION

    public static final EClass TABLE_SPACE_DEFINITION

  The meta object literal for the '`Table Space Definition`' class.

  See Also:
    `TableSpaceDefinitionImpl`, `DatabaseDefinitionPackageImpl.getTableSpaceDefinition()`

### TABLE_SPACE_DEFINITION__TYPE_SUPPORTED

    public static final EAttribute TABLE_SPACE_DEFINITION__TYPE_SUPPORTED

  The meta object literal for the 'Type Supported' attribute feature.

### TABLE_SPACE_DEFINITION__EXTENT_SIZE_SUPPORTED

    public static final EAttribute TABLE_SPACE_DEFINITION__EXTENT_SIZE_SUPPORTED

  The meta object literal for the 'Extent Size Supported' attribute feature.

### TABLE_SPACE_DEFINITION__PREFETCH_SIZE_SUPPORTED

    public static final EAttribute TABLE_SPACE_DEFINITION__PREFETCH_SIZE_SUPPORTED

  The meta object literal for the 'Prefetch Size Supported' attribute feature.

### TABLE_SPACE_DEFINITION__MANAGED_BY_SUPPORTED

    public static final EAttribute TABLE_SPACE_DEFINITION__MANAGED_BY_SUPPORTED

  The meta object literal for the 'Managed By Supported' attribute feature.

### TABLE_SPACE_DEFINITION__PAGE_SIZE_SUPPORTED

    public static final EAttribute TABLE_SPACE_DEFINITION__PAGE_SIZE_SUPPORTED

  The meta object literal for the 'Page Size Supported' attribute feature.

### TABLE_SPACE_DEFINITION__BUFFER_POOL_SUPPORTED

    public static final EAttribute TABLE_SPACE_DEFINITION__BUFFER_POOL_SUPPORTED

  The meta object literal for the 'Buffer Pool Supported' attribute feature.

### TABLE_SPACE_DEFINITION__DEFAULT_SUPPORTED

    public static final EAttribute TABLE_SPACE_DEFINITION__DEFAULT_SUPPORTED

  The meta object literal for the 'Default Supported' attribute feature.

### TABLE_SPACE_DEFINITION__CONTAINER_MAXIMUM_SIZE_SUPPORTED

    public static final EAttribute TABLE_SPACE_DEFINITION__CONTAINER_MAXIMUM_SIZE_SUPPORTED

  The meta object literal for the 'Container Maximum Size Supported' attribute feature.

### TABLE_SPACE_DEFINITION__CONTAINER_INITIAL_SIZE_SUPPORTED

    public static final EAttribute TABLE_SPACE_DEFINITION__CONTAINER_INITIAL_SIZE_SUPPORTED

  The meta object literal for the 'Container Initial Size Supported' attribute feature.

### TABLE_SPACE_DEFINITION__CONTAINER_EXTENT_SIZE_SUPPORTED

    public static final EAttribute TABLE_SPACE_DEFINITION__CONTAINER_EXTENT_SIZE_SUPPORTED

  The meta object literal for the 'Container Extent Size Supported' attribute feature.

### TABLE_SPACE_DEFINITION__TABLE_SPACE_TYPE

    public static final EAttribute TABLE_SPACE_DEFINITION__TABLE_SPACE_TYPE

  The meta object literal for the 'Table Space Type' attribute list feature.

### TABLE_SPACE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    public static final EAttribute TABLE_SPACE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Identifier Length' attribute feature.

### STORED_PROCEDURE_DEFINITION

    public static final EClass STORED_PROCEDURE_DEFINITION

  The meta object literal for the '`Stored Procedure Definition`' class.

  See Also:
    `StoredProcedureDefinitionImpl`, `DatabaseDefinitionPackageImpl.getStoredProcedureDefinition()`

### STORED_PROCEDURE_DEFINITION__NULL_INPUT_ACTION_SUPPORTED

    public static final EAttribute STORED_PROCEDURE_DEFINITION__NULL_INPUT_ACTION_SUPPORTED

  The meta object literal for the 'Null Input Action Supported' attribute feature.

### STORED_PROCEDURE_DEFINITION__PACKAGE_GENERATION_SUPPORTED

    public static final EAttribute STORED_PROCEDURE_DEFINITION__PACKAGE_GENERATION_SUPPORTED

  The meta object literal for the 'Package Generation Supported' attribute feature.

### STORED_PROCEDURE_DEFINITION__DETERMININSTIC_SUPPORTED

    public static final EAttribute STORED_PROCEDURE_DEFINITION__DETERMININSTIC_SUPPORTED

  The meta object literal for the 'Determininstic Supported' attribute feature.

### STORED_PROCEDURE_DEFINITION__RETURNED_NULL_SUPPORTED

    public static final EAttribute STORED_PROCEDURE_DEFINITION__RETURNED_NULL_SUPPORTED

  The meta object literal for the 'Returned Null Supported' attribute feature.

### STORED_PROCEDURE_DEFINITION__RETURNED_TYPE_DECLARATION_CONSTRAINT_SUPPORTED

    public static final EAttribute STORED_PROCEDURE_DEFINITION__RETURNED_TYPE_DECLARATION_CONSTRAINT_SUPPORTED

  The meta object literal for the 'Returned Type Declaration Constraint Supported' attribute feature.

### STORED_PROCEDURE_DEFINITION__PARAMETER_INIT_VALUE_SUPPORTED

    public static final EAttribute STORED_PROCEDURE_DEFINITION__PARAMETER_INIT_VALUE_SUPPORTED

  The meta object literal for the 'Parameter Init Value Supported' attribute feature.

### STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE_SUPPORTED

    public static final EAttribute STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE_SUPPORTED

  The meta object literal for the 'Parameter Style Supported' attribute feature.

### STORED_PROCEDURE_DEFINITION__RETURN_TYPE_SUPPORTED

    public static final EAttribute STORED_PROCEDURE_DEFINITION__RETURN_TYPE_SUPPORTED

  The meta object literal for the 'Return Type Supported' attribute feature.

### STORED_PROCEDURE_DEFINITION__PARAMETER_DECLARATION_CONSTRAINT_SUPPORTED

    public static final EAttribute STORED_PROCEDURE_DEFINITION__PARAMETER_DECLARATION_CONSTRAINT_SUPPORTED

  The meta object literal for the 'Parameter Declaration Constraint Supported' attribute feature.

### STORED_PROCEDURE_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH

    public static final EAttribute STORED_PROCEDURE_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH

  The meta object literal for the 'Maximum Action Body Length' attribute feature.

### STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE

    public static final EAttribute STORED_PROCEDURE_DEFINITION__PARAMETER_STYLE

  The meta object literal for the 'Parameter Style' attribute list feature.

### STORED_PROCEDURE_DEFINITION__LANGUAGE_TYPE

    public static final EAttribute STORED_PROCEDURE_DEFINITION__LANGUAGE_TYPE

  The meta object literal for the 'Language Type' attribute list feature.

### STORED_PROCEDURE_DEFINITION__FUNCTION_LANGUAGE_TYPE

    public static final EAttribute STORED_PROCEDURE_DEFINITION__FUNCTION_LANGUAGE_TYPE

  The meta object literal for the 'Function Language Type' attribute list feature.

### STORED_PROCEDURE_DEFINITION__PROCEDURE_TYPE

    public static final EAttribute STORED_PROCEDURE_DEFINITION__PROCEDURE_TYPE

  The meta object literal for the 'Procedure Type' attribute list feature.

### STORED_PROCEDURE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    public static final EAttribute STORED_PROCEDURE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Identifier Length' attribute feature.

### TRIGGER_DEFINITION

    public static final EClass TRIGGER_DEFINITION

  The meta object literal for the '`Trigger Definition`' class.

  See Also:
    `TriggerDefinitionImpl`, `DatabaseDefinitionPackageImpl.getTriggerDefinition()`

### TRIGGER_DEFINITION__MAXIMUM_REFERENCE_PART_LENGTH

    public static final EAttribute TRIGGER_DEFINITION__MAXIMUM_REFERENCE_PART_LENGTH

  The meta object literal for the 'Maximum Reference Part Length' attribute feature.

### TRIGGER_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH

    public static final EAttribute TRIGGER_DEFINITION__MAXIMUM_ACTION_BODY_LENGTH

  The meta object literal for the 'Maximum Action Body Length' attribute feature.

### TRIGGER_DEFINITION__TYPE_SUPPORTED

    public static final EAttribute TRIGGER_DEFINITION__TYPE_SUPPORTED

  The meta object literal for the 'Type Supported' attribute feature.

### TRIGGER_DEFINITION__WHEN_CLAUSE_SUPPORTED

    public static final EAttribute TRIGGER_DEFINITION__WHEN_CLAUSE_SUPPORTED

  The meta object literal for the 'When Clause Supported' attribute feature.

### TRIGGER_DEFINITION__GRANULARITY_SUPPORTED

    public static final EAttribute TRIGGER_DEFINITION__GRANULARITY_SUPPORTED

  The meta object literal for the 'Granularity Supported' attribute feature.

### TRIGGER_DEFINITION__REFERENCES_CLAUSE_SUPPORTED

    public static final EAttribute TRIGGER_DEFINITION__REFERENCES_CLAUSE_SUPPORTED

  The meta object literal for the 'References Clause Supported' attribute feature.

### TRIGGER_DEFINITION__PER_COLUMN_UPDATE_TRIGGER_SUPPORTED

    public static final EAttribute TRIGGER_DEFINITION__PER_COLUMN_UPDATE_TRIGGER_SUPPORTED

  The meta object literal for the 'Per Column Update Trigger Supported' attribute feature.

### TRIGGER_DEFINITION__INSTEAD_OF_TRIGGER_SUPPORTED

    public static final EAttribute TRIGGER_DEFINITION__INSTEAD_OF_TRIGGER_SUPPORTED

  The meta object literal for the 'Instead Of Trigger Supported' attribute feature.

### TRIGGER_DEFINITION__ROW_TRIGGER_REFERENCE_SUPPORTED

    public static final EAttribute TRIGGER_DEFINITION__ROW_TRIGGER_REFERENCE_SUPPORTED

  The meta object literal for the 'Row Trigger Reference Supported' attribute feature.

### TRIGGER_DEFINITION__TABLE_TRIGGER_REFERENCE_SUPPORTED

    public static final EAttribute TRIGGER_DEFINITION__TABLE_TRIGGER_REFERENCE_SUPPORTED

  The meta object literal for the 'Table Trigger Reference Supported' attribute feature.

### TRIGGER_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    public static final EAttribute TRIGGER_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Identifier Length' attribute feature.

### COLUMN_DEFINITION

    public static final EClass COLUMN_DEFINITION

  The meta object literal for the '`Column Definition`' class.

  See Also:
    `ColumnDefinitionImpl`, `DatabaseDefinitionPackageImpl.getColumnDefinition()`

### COLUMN_DEFINITION__IDENTITY_COLUMN_DATA_TYPE_DEFINITIONS

    public static final EReference COLUMN_DEFINITION__IDENTITY_COLUMN_DATA_TYPE_DEFINITIONS

  The meta object literal for the 'Identity Column Data Type Definitions' reference list feature.

### COLUMN_DEFINITION__IDENTITY_SUPPORTED

    public static final EAttribute COLUMN_DEFINITION__IDENTITY_SUPPORTED

  The meta object literal for the 'Identity Supported' attribute feature.

### COLUMN_DEFINITION__COMPUTED_SUPPORTED

    public static final EAttribute COLUMN_DEFINITION__COMPUTED_SUPPORTED

  The meta object literal for the 'Computed Supported' attribute feature.

### COLUMN_DEFINITION__IDENTITY_START_VALUE_SUPPORTED

    public static final EAttribute COLUMN_DEFINITION__IDENTITY_START_VALUE_SUPPORTED

  The meta object literal for the 'Identity Start Value Supported' attribute feature.

### COLUMN_DEFINITION__IDENTITY_INCREMENT_SUPPORTED

    public static final EAttribute COLUMN_DEFINITION__IDENTITY_INCREMENT_SUPPORTED

  The meta object literal for the 'Identity Increment Supported' attribute feature.

### COLUMN_DEFINITION__IDENTITY_MINIMUM_SUPPORTED

    public static final EAttribute COLUMN_DEFINITION__IDENTITY_MINIMUM_SUPPORTED

  The meta object literal for the 'Identity Minimum Supported' attribute feature.

### COLUMN_DEFINITION__IDENTITY_MAXIMUM_SUPPORTED

    public static final EAttribute COLUMN_DEFINITION__IDENTITY_MAXIMUM_SUPPORTED

  The meta object literal for the 'Identity Maximum Supported' attribute feature.

### COLUMN_DEFINITION__IDENTITY_CYCLE_SUPPORTED

    public static final EAttribute COLUMN_DEFINITION__IDENTITY_CYCLE_SUPPORTED

  The meta object literal for the 'Identity Cycle Supported' attribute feature.

### COLUMN_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    public static final EAttribute COLUMN_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Identifier Length' attribute feature.

### CONSTRAINT_DEFINITION

    public static final EClass CONSTRAINT_DEFINITION

  The meta object literal for the '`Constraint Definition`' class.

  See Also:
    `ConstraintDefinitionImpl`, `DatabaseDefinitionPackageImpl.getConstraintDefinition()`

### CONSTRAINT_DEFINITION__DEFERRABLE_CONSTRAINT_SUPPORTED

    public static final EAttribute CONSTRAINT_DEFINITION__DEFERRABLE_CONSTRAINT_SUPPORTED

  The meta object literal for the 'Deferrable Constraint Supported' attribute feature.

### CONSTRAINT_DEFINITION__INFORMATIONAL_CONSTRAINT_SUPPORTED

    public static final EAttribute CONSTRAINT_DEFINITION__INFORMATIONAL_CONSTRAINT_SUPPORTED

  The meta object literal for the 'Informational Constraint Supported' attribute feature.

### CONSTRAINT_DEFINITION__CLUSTERED_PRIMARY_KEY_SUPPORTED

    public static final EAttribute CONSTRAINT_DEFINITION__CLUSTERED_PRIMARY_KEY_SUPPORTED

  The meta object literal for the 'Clustered Primary Key Supported' attribute feature.

### CONSTRAINT_DEFINITION__CLUSTERED_UNIQUE_CONSTRAINT_SUPPORTED

    public static final EAttribute CONSTRAINT_DEFINITION__CLUSTERED_UNIQUE_CONSTRAINT_SUPPORTED

  The meta object literal for the 'Clustered Unique Constraint Supported' attribute feature.

### CONSTRAINT_DEFINITION__PRIMARY_KEY_NULLABLE

    public static final EAttribute CONSTRAINT_DEFINITION__PRIMARY_KEY_NULLABLE

  The meta object literal for the 'Primary Key Nullable' attribute feature.

### CONSTRAINT_DEFINITION__UNIQUE_KEY_NULLABLE

    public static final EAttribute CONSTRAINT_DEFINITION__UNIQUE_KEY_NULLABLE

  The meta object literal for the 'Unique Key Nullable' attribute feature.

### CONSTRAINT_DEFINITION__MAXIMUM_CHECK_EXPRESSION_LENGTH

    public static final EAttribute CONSTRAINT_DEFINITION__MAXIMUM_CHECK_EXPRESSION_LENGTH

  The meta object literal for the 'Maximum Check Expression Length' attribute feature.

### CONSTRAINT_DEFINITION__PARENT_UPDATE_DRI_RULE_TYPE

    public static final EAttribute CONSTRAINT_DEFINITION__PARENT_UPDATE_DRI_RULE_TYPE

  The meta object literal for the 'Parent Update DRI Rule Type' attribute list feature.

### CONSTRAINT_DEFINITION__PARENT_DELETE_DRI_RULE_TYPE

    public static final EAttribute CONSTRAINT_DEFINITION__PARENT_DELETE_DRI_RULE_TYPE

  The meta object literal for the 'Parent Delete DRI Rule Type' attribute list feature.

### CONSTRAINT_DEFINITION__CHECK_OPTION

    public static final EAttribute CONSTRAINT_DEFINITION__CHECK_OPTION

  The meta object literal for the 'Check Option' attribute list feature.

### CONSTRAINT_DEFINITION__MAXIMUM_PRIMARY_KEY_IDENTIFIER_LENGTH

    public static final EAttribute CONSTRAINT_DEFINITION__MAXIMUM_PRIMARY_KEY_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Primary Key Identifier Length' attribute feature.

### CONSTRAINT_DEFINITION__MAXIMUM_FOREIGN_KEY_IDENTIFIER_LENGTH

    public static final EAttribute CONSTRAINT_DEFINITION__MAXIMUM_FOREIGN_KEY_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Foreign Key Identifier Length' attribute feature.

### CONSTRAINT_DEFINITION__MAXIMUM_CHECK_CONSTRAINT_IDENTIFIER_LENGTH

    public static final EAttribute CONSTRAINT_DEFINITION__MAXIMUM_CHECK_CONSTRAINT_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Check Constraint Identifier Length' attribute feature.

### INDEX_DEFINITION

    public static final EClass INDEX_DEFINITION

  The meta object literal for the '`Index Definition`' class.

  See Also:
    `IndexDefinitionImpl`, `DatabaseDefinitionPackageImpl.getIndexDefinition()`

### INDEX_DEFINITION__PERCENT_FREE_TERMINOLOGY

    public static final EAttribute INDEX_DEFINITION__PERCENT_FREE_TERMINOLOGY

  The meta object literal for the 'Percent Free Terminology' attribute feature.

### INDEX_DEFINITION__PERCENT_FREE_CHANGEABLE

    public static final EAttribute INDEX_DEFINITION__PERCENT_FREE_CHANGEABLE

  The meta object literal for the 'Percent Free Changeable' attribute feature.

### INDEX_DEFINITION__CLUSTERING_SUPPORTED

    public static final EAttribute INDEX_DEFINITION__CLUSTERING_SUPPORTED

  The meta object literal for the 'Clustering Supported' attribute feature.

### INDEX_DEFINITION__CLUSTER_CHANGEABLE

    public static final EAttribute INDEX_DEFINITION__CLUSTER_CHANGEABLE

  The meta object literal for the 'Cluster Changeable' attribute feature.

### INDEX_DEFINITION__FILL_FACTOR_SUPPORTED

    public static final EAttribute INDEX_DEFINITION__FILL_FACTOR_SUPPORTED

  The meta object literal for the 'Fill Factor Supported' attribute feature.

### INDEX_DEFINITION__INCLUDED_COLUMNS_SUPPORTED

    public static final EAttribute INDEX_DEFINITION__INCLUDED_COLUMNS_SUPPORTED

  The meta object literal for the 'Included Columns Supported' attribute feature.

### INDEX_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    public static final EAttribute INDEX_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Identifier Length' attribute feature.

### EXTENDED_DEFINITION

    public static final EClass EXTENDED_DEFINITION

  The meta object literal for the '`Extended Definition`' class.

  See Also:
    `ExtendedDefinitionImpl`, `DatabaseDefinitionPackageImpl.getExtendedDefinition()`

### EXTENDED_DEFINITION__NAME

    public static final EAttribute EXTENDED_DEFINITION__NAME

  The meta object literal for the 'Name' attribute feature.

### EXTENDED_DEFINITION__VALUE

    public static final EAttribute EXTENDED_DEFINITION__VALUE

  The meta object literal for the 'Value' attribute feature.

### TABLE_DEFINITION

    public static final EClass TABLE_DEFINITION

  The meta object literal for the '`Table Definition`' class.

  See Also:
    `TableDefinitionImpl`, `DatabaseDefinitionPackageImpl.getTableDefinition()`

### TABLE_DEFINITION__AUDIT_SUPPORTED

    public static final EAttribute TABLE_DEFINITION__AUDIT_SUPPORTED

  The meta object literal for the 'Audit Supported' attribute feature.

### TABLE_DEFINITION__DATA_CAPTURE_SUPPORTED

    public static final EAttribute TABLE_DEFINITION__DATA_CAPTURE_SUPPORTED

  The meta object literal for the 'Data Capture Supported' attribute feature.

### TABLE_DEFINITION__EDIT_PROC_SUPPORTED

    public static final EAttribute TABLE_DEFINITION__EDIT_PROC_SUPPORTED

  The meta object literal for the 'Edit Proc Supported' attribute feature.

### TABLE_DEFINITION__ENCODING_SUPPORTED

    public static final EAttribute TABLE_DEFINITION__ENCODING_SUPPORTED

  The meta object literal for the 'Encoding Supported' attribute feature.

### TABLE_DEFINITION__VALID_PROC_SUPPORTED

    public static final EAttribute TABLE_DEFINITION__VALID_PROC_SUPPORTED

  The meta object literal for the 'Valid Proc Supported' attribute feature.

### TABLE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    public static final EAttribute TABLE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Identifier Length' attribute feature.

### SEQUENCE_DEFINITION

    public static final EClass SEQUENCE_DEFINITION

  The meta object literal for the '`Sequence Definition`' class.

  See Also:
    `SequenceDefinitionImpl`, `DatabaseDefinitionPackageImpl.getSequenceDefinition()`

### SEQUENCE_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS

    public static final EReference SEQUENCE_DEFINITION__PREDEFINED_DATA_TYPE_DEFINITIONS

  The meta object literal for the 'Predefined Data Type Definitions' reference list feature.

### SEQUENCE_DEFINITION__DEFAULT_DATA_TYPE_DEFINITION

    public static final EReference SEQUENCE_DEFINITION__DEFAULT_DATA_TYPE_DEFINITION

  The meta object literal for the 'Default Data Type Definition' reference feature.

### SEQUENCE_DEFINITION__TYPE_ENUMERATION_SUPPORTED

    public static final EAttribute SEQUENCE_DEFINITION__TYPE_ENUMERATION_SUPPORTED

  The meta object literal for the 'Type Enumeration Supported' attribute feature.

### SEQUENCE_DEFINITION__CACHE_SUPPORTED

    public static final EAttribute SEQUENCE_DEFINITION__CACHE_SUPPORTED

  The meta object literal for the 'Cache Supported' attribute feature.

### SEQUENCE_DEFINITION__ORDER_SUPPORTED

    public static final EAttribute SEQUENCE_DEFINITION__ORDER_SUPPORTED

  The meta object literal for the 'Order Supported' attribute feature.

### SEQUENCE_DEFINITION__NO_MAXIMUM_VALUE_STRING

    public static final EAttribute SEQUENCE_DEFINITION__NO_MAXIMUM_VALUE_STRING

  The meta object literal for the 'No Maximum Value String' attribute feature.

### SEQUENCE_DEFINITION__NO_MINIMUM_VALUE_STRING

    public static final EAttribute SEQUENCE_DEFINITION__NO_MINIMUM_VALUE_STRING

  The meta object literal for the 'No Minimum Value String' attribute feature.

### SEQUENCE_DEFINITION__NO_CACHE_STRING

    public static final EAttribute SEQUENCE_DEFINITION__NO_CACHE_STRING

  The meta object literal for the 'No Cache String' attribute feature.

### SEQUENCE_DEFINITION__CACHE_DEFAULT_VALUE

    public static final EAttribute SEQUENCE_DEFINITION__CACHE_DEFAULT_VALUE

  The meta object literal for the 'Cache Default Value' attribute feature.

### USER_DEFINED_TYPE_DEFINITION

    public static final EClass USER_DEFINED_TYPE_DEFINITION

  The meta object literal for the '`User Defined Type Definition`' class.

  See Also:
    `UserDefinedTypeDefinitionImpl`, `DatabaseDefinitionPackageImpl.getUserDefinedTypeDefinition()`

### USER_DEFINED_TYPE_DEFINITION__DEFAULT_VALUE_SUPPORTED

    public static final EAttribute USER_DEFINED_TYPE_DEFINITION__DEFAULT_VALUE_SUPPORTED

  The meta object literal for the 'Default Value Supported' attribute feature.

### USER_DEFINED_TYPE_DEFINITION__DISTINCT_TYPE_SUPPORTED

    public static final EAttribute USER_DEFINED_TYPE_DEFINITION__DISTINCT_TYPE_SUPPORTED

  The meta object literal for the 'Distinct Type Supported' attribute feature.

### USER_DEFINED_TYPE_DEFINITION__STRUCTURED_TYPE_SUPPORTED

    public static final EAttribute USER_DEFINED_TYPE_DEFINITION__STRUCTURED_TYPE_SUPPORTED

  The meta object literal for the 'Structured Type Supported' attribute feature.

### USER_DEFINED_TYPE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    public static final EAttribute USER_DEFINED_TYPE_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Identifier Length' attribute feature.

### QUERY_DEFINITION

    public static final EClass QUERY_DEFINITION

  The meta object literal for the '`Query Definition`' class.

  See Also:
    `QueryDefinitionImpl`, `DatabaseDefinitionPackageImpl.getQueryDefinition()`

### QUERY_DEFINITION__IDENTIFIER_QUOTE_STRING

    public static final EAttribute QUERY_DEFINITION__IDENTIFIER_QUOTE_STRING

  The meta object literal for the 'Identifier Quote String' attribute feature.

### QUERY_DEFINITION__HOST_VARIABLE_MARKER

    public static final EAttribute QUERY_DEFINITION__HOST_VARIABLE_MARKER

  The meta object literal for the 'Host Variable Marker' attribute feature.

### QUERY_DEFINITION__HOST_VARIABLE_MARKER_SUPPORTED

    public static final EAttribute QUERY_DEFINITION__HOST_VARIABLE_MARKER_SUPPORTED

  The meta object literal for the 'Host Variable Marker Supported' attribute feature.

### QUERY_DEFINITION__CAST_EXPRESSION_SUPPORTED

    public static final EAttribute QUERY_DEFINITION__CAST_EXPRESSION_SUPPORTED

  The meta object literal for the 'Cast Expression Supported' attribute feature.

### QUERY_DEFINITION__DEFAULT_KEYWORD_FOR_INSERT_VALUE_SUPPORTED

    public static final EAttribute QUERY_DEFINITION__DEFAULT_KEYWORD_FOR_INSERT_VALUE_SUPPORTED

  The meta object literal for the 'Default Keyword For Insert Value Supported' attribute feature.

### QUERY_DEFINITION__EXTENDED_GROUPING_SUPPORTED

    public static final EAttribute QUERY_DEFINITION__EXTENDED_GROUPING_SUPPORTED

  The meta object literal for the 'Extended Grouping Supported' attribute feature.

### QUERY_DEFINITION__TABLE_ALIAS_IN_DELETE_SUPPORTED

    public static final EAttribute QUERY_DEFINITION__TABLE_ALIAS_IN_DELETE_SUPPORTED

  The meta object literal for the 'Table Alias In Delete Supported' attribute feature.

### SQL_SYNTAX_DEFINITION

    public static final EClass SQL_SYNTAX_DEFINITION

  The meta object literal for the '`SQL Syntax Definition`' class.

  See Also:
    `SQLSyntaxDefinitionImpl`, `DatabaseDefinitionPackageImpl.getSQLSyntaxDefinition()`

### SQL_SYNTAX_DEFINITION__KEYWORDS

    public static final EAttribute SQL_SYNTAX_DEFINITION__KEYWORDS

  The meta object literal for the 'Keywords' attribute list feature.

### SQL_SYNTAX_DEFINITION__OPERATORS

    public static final EAttribute SQL_SYNTAX_DEFINITION__OPERATORS

  The meta object literal for the 'Operators' attribute list feature.

### SQL_SYNTAX_DEFINITION__TERMINATION_CHARACTER

    public static final EAttribute SQL_SYNTAX_DEFINITION__TERMINATION_CHARACTER

  The meta object literal for the 'Termination Character' attribute feature.

### NICKNAME_DEFINITION

    public static final EClass NICKNAME_DEFINITION

  The meta object literal for the '`Nickname Definition`' class.

  See Also:
    `NicknameDefinitionImpl`, `DatabaseDefinitionPackageImpl.getNicknameDefinition()`

### NICKNAME_DEFINITION__CONSTRAINT_SUPPORTED

    public static final EAttribute NICKNAME_DEFINITION__CONSTRAINT_SUPPORTED

  The meta object literal for the 'Constraint Supported' attribute feature.

### NICKNAME_DEFINITION__INDEX_SUPPORTED

    public static final EAttribute NICKNAME_DEFINITION__INDEX_SUPPORTED

  The meta object literal for the 'Index Supported' attribute feature.

### NICKNAME_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    public static final EAttribute NICKNAME_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Identifier Length' attribute feature.

### SCHEMA_DEFINITION

    public static final EClass SCHEMA_DEFINITION

  The meta object literal for the '`Schema Definition`' class.

  See Also:
    `SchemaDefinitionImpl`, `DatabaseDefinitionPackageImpl.getSchemaDefinition()`

### SCHEMA_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    public static final EAttribute SCHEMA_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Identifier Length' attribute feature.

### VIEW_DEFINITION

    public static final EClass VIEW_DEFINITION

  The meta object literal for the '`View Definition`' class.

  See Also:
    `ViewDefinitionImpl`, `DatabaseDefinitionPackageImpl.getViewDefinition()`

### VIEW_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

    public static final EAttribute VIEW_DEFINITION__MAXIMUM_IDENTIFIER_LENGTH

  The meta object literal for the 'Maximum Identifier Length' attribute feature.

### FIELD_QUALIFIER_DEFINITION

    public static final EClass FIELD_QUALIFIER_DEFINITION

  The meta object literal for the '`Field Qualifier Definition`' class.

  See Also:
    `FieldQualifierDefinitionImpl`, `DatabaseDefinitionPackageImpl.getFieldQualifierDefinition()`

### FIELD_QUALIFIER_DEFINITION__VALID_TRAILING_FIELD_QUALIFIER_DEFINITIONS

    public static final EReference FIELD_QUALIFIER_DEFINITION__VALID_TRAILING_FIELD_QUALIFIER_DEFINITIONS

  The meta object literal for the 'Valid Trailing Field Qualifier Definitions' reference list feature.

### FIELD_QUALIFIER_DEFINITION__NAME

    public static final EAttribute FIELD_QUALIFIER_DEFINITION__NAME

  The meta object literal for the 'Name' attribute feature.

### FIELD_QUALIFIER_DEFINITION__MAXIMUM_PRECISION

    public static final EAttribute FIELD_QUALIFIER_DEFINITION__MAXIMUM_PRECISION

  The meta object literal for the 'Maximum Precision' attribute feature.

### FIELD_QUALIFIER_DEFINITION__DEFAULT_PRECISION

    public static final EAttribute FIELD_QUALIFIER_DEFINITION__DEFAULT_PRECISION

  The meta object literal for the 'Default Precision' attribute feature.

### FIELD_QUALIFIER_DEFINITION__PRECISION_SUPPORTED

    public static final EAttribute FIELD_QUALIFIER_DEFINITION__PRECISION_SUPPORTED

  The meta object literal for the 'Precision Supported' attribute feature.

### FIELD_QUALIFIER_DEFINITION__MAXIMUM_SCALE

    public static final EAttribute FIELD_QUALIFIER_DEFINITION__MAXIMUM_SCALE

  The meta object literal for the 'Maximum Scale' attribute feature.

### FIELD_QUALIFIER_DEFINITION__DEFAULT_SCALE

    public static final EAttribute FIELD_QUALIFIER_DEFINITION__DEFAULT_SCALE

  The meta object literal for the 'Default Scale' attribute feature.

### FIELD_QUALIFIER_DEFINITION__SCALE_SUPPORTED

    public static final EAttribute FIELD_QUALIFIER_DEFINITION__SCALE_SUPPORTED

  The meta object literal for the 'Scale Supported' attribute feature.

### DEBUGGER_DEFINITION

    public static final EClass DEBUGGER_DEFINITION

  The meta object literal for the '`Debugger Definition`' class.

  See Also:
    `DebuggerDefinitionImpl`, `DatabaseDefinitionPackageImpl.getDebuggerDefinition()`

### DEBUGGER_DEFINITION__CONDITION_SUPPORTED

    public static final EAttribute DEBUGGER_DEFINITION__CONDITION_SUPPORTED

  The meta object literal for the 'Condition Supported' attribute feature.

### PRIVILEGED_ELEMENT_DEFINITION

    public static final EClass PRIVILEGED_ELEMENT_DEFINITION

  The meta object literal for the '`Privileged Element Definition`' class.

  See Also:
    `PrivilegedElementDefinitionImpl`, `DatabaseDefinitionPackageImpl.getPrivilegedElementDefinition()`

### PRIVILEGED_ELEMENT_DEFINITION__PRIVILEGE_DEFINITIONS

    public static final EReference PRIVILEGED_ELEMENT_DEFINITION__PRIVILEGE_DEFINITIONS

  The meta object literal for the 'Privilege Definitions' containment reference list feature.

### PRIVILEGED_ELEMENT_DEFINITION__NAME

    public static final EAttribute PRIVILEGED_ELEMENT_DEFINITION__NAME

  The meta object literal for the 'Name' attribute feature.

### PRIVILEGE_DEFINITION

    public static final EClass PRIVILEGE_DEFINITION

  The meta object literal for the '`Privilege Definition`' class.

  See Also:
    `PrivilegeDefinitionImpl`, `DatabaseDefinitionPackageImpl.getPrivilegeDefinition()`

### PRIVILEGE_DEFINITION__ACTION_ELEMENT_DEFINITIONS

    public static final EReference PRIVILEGE_DEFINITION__ACTION_ELEMENT_DEFINITIONS

  The meta object literal for the 'Action Element Definitions' reference list feature.

### PRIVILEGE_DEFINITION__NAME

    public static final EAttribute PRIVILEGE_DEFINITION__NAME

  The meta object literal for the 'Name' attribute feature.

### CHECK_OPTION

    public static final EEnum CHECK_OPTION

  The meta object literal for the '`Check Option`' enum.

  See Also:
    `CheckOption`, `DatabaseDefinitionPackageImpl.getCheckOption()`

### LANGUAGE_TYPE

    public static final EEnum LANGUAGE_TYPE

  The meta object literal for the '`Language Type`' enum.

  See Also:
    `LanguageType`, `DatabaseDefinitionPackageImpl.getLanguageType()`

### PARAMETER_STYLE

    public static final EEnum PARAMETER_STYLE

  The meta object literal for the '`Parameter Style`' enum.

  See Also:
    `ParameterStyle`, `DatabaseDefinitionPackageImpl.getParameterStyle()`

### PARENT_DELETE_DRI_RULE_TYPE

    public static final EEnum PARENT_DELETE_DRI_RULE_TYPE

  The meta object literal for the '`Parent Delete DRI Rule Type`' enum.

  See Also:
    `ParentDeleteDRIRuleType`, `DatabaseDefinitionPackageImpl.getParentDeleteDRIRuleType()`

### PARENT_UPDATE_DRI_RULE_TYPE

    public static final EEnum PARENT_UPDATE_DRI_RULE_TYPE

  The meta object literal for the '`Parent Update DRI Rule Type`' enum.

  See Also:
    `ParentUpdateDRIRuleType`, `DatabaseDefinitionPackageImpl.getParentUpdateDRIRuleType()`

### PROCEDURE_TYPE

    public static final EEnum PROCEDURE_TYPE

  The meta object literal for the '`Procedure Type`' enum.

  See Also:
    `ProcedureType`, `DatabaseDefinitionPackageImpl.getProcedureType()`

### TABLE_SPACE_TYPE

    public static final EEnum TABLE_SPACE_TYPE

  The meta object literal for the '`Table Space Type`' enum.

  See Also:
    `TableSpaceType`, `DatabaseDefinitionPackageImpl.getTableSpaceType()`

### PERCENT_FREE_TERMINOLOGY

    public static final EEnum PERCENT_FREE_TERMINOLOGY

  The meta object literal for the '`Percent Free Terminology`' enum.

  See Also:
    `PercentFreeTerminology`, `DatabaseDefinitionPackageImpl.getPercentFreeTerminology()`

### LENGTH_UNIT

    public static final EEnum LENGTH_UNIT

  The meta object literal for the '`Length Unit`' enum.

  See Also:
    `LengthUnit`, `DatabaseDefinitionPackageImpl.getLengthUnit()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.